#include "CS_ComputerBeta.h"

CS_ComputerBeta::CS_ComputerBeta()
{
	ani.png = L"CS_CaveStoryMod";
	drawBeforeOtherEntity = true;
}

void CS_ComputerBeta::SetState(int stateID, int lr)
{
	this->lr = lr;
	ani.sprite_index = lr == 0 ? L"ls_computer_beta_off" : L"ls_computer_beta_on";
}

std::shared_ptr<Entity> CreateCS_ComputerBeta()
{
	return std::make_shared<CS_ComputerBeta>();
}
